export default class myDataSet {
  static list (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetDetail/list', 'post', params, axiosOption, httpOption);
  }
          
  static view (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetDetail/view', 'get', params, axiosOption, httpOption);
  }
          
  static export (sender, params, fileName) {
    return sender.download('/admin/app/datasetDetail/export', params, fileName);
  }
          
  static add (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetDetail/add', 'post', params, axiosOption, httpOption);
  }
          
  static update (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetDetail/update', 'post', params, axiosOption, httpOption);
  }
          
  static delete (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetDetail/delete', 'post', params, axiosOption, httpOption);
  }
}
